ngram_class_s Struct Reference

Implementation of ngram_class_t. More...

`#include <ngram_model_internal.h>`

## Data Structures

struct | ngram_hash_s
| Custom hash table for additional words. More...

## Data Fields

int32 | tag_wid
| Base word ID for this class tag.
int32 | start_wid
| Starting base word ID for this class' words.
int32 | n_words
| Number of base words for this class.
int32 * | prob1
| Probability table for base words.
struct ngram_class_s::ngram_hash_s * | nword_hash
int32 | n_hash
| Number of buckets in nword_hash (power of 2)
int32 | n_hash_inuse
| Number of words in nword_hash.

## Detailed Description

Implementation of ngram_class_t.

Definition at line 83 of file ngram_model_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_internal.h